/*----------------------------------------
  VARIABLES
----------------------------------------*/
$h1-font-size: 4rem;
$h2-font-size: 3.5rem;
$h3-font-size: 3rem;
$h4-font-size: 2.5rem;
$h5-font-size: 2rem;
$h6-font-size: 1.5rem;
$color-primary: #ffc300;
$color-secondary: #41b681;

:root {
  // Colors
  --color-primary: #ffc300;
  --color-secondary: #41b681;
  --color-black: #243a48;
  --color-gray: #233947;
  --color-background: #f8f6f3;
  --color-white: #FFFFFF;
  --color-line: #ececf0;
  --color-line-menu: #ffd54d;
  
  // Fonts
  --font-heading: "Tajawal", sans-serif;
  --font-body: "Tajawal", sans-serif;
  
  // Typography
  --font-size-1: 22px;
  --font-size-2: 20px;
  --font-size-3: 18px;
  --font-size-4: 16px;
  --h1-font-size: 4rem;
  --h2-font-size: 3.5rem;
  --h3-font-size: 3rem;
  --h4-font-size: 2.5rem;
  --h5-font-size: 2rem;
  --h6-font-size: 1.5rem;
  --font-size-h1: var(--h1-font-size); 
  --font-size-h2: var(--h2-font-size); 
  --font-size-h3: var(--h3-font-size);
  --font-size-h4: var(--h4-font-size); 
  --font-size-h5: var(--h5-font-size); 
  --font-size-h6: var(--h6-font-size); 
  --line-height-1: 1.5;
  --line-height-2: 1.1;
  
  // Sizes
  --block-border-radius: 15px;
  --button-border-radius: 25px;
  --button-border-radius-2: 5px;
  
  // Transitions
  --transition: all 0.3s ease-in-out;
}

// Media Queries

$xxl: 'only screen and (min-width: 1400px)';
$xl: 'only screen and (min-width: 1200px)';
$lg: 'only screen and (min-width: 992px)';
$md: 'only screen and (min-width: 768px)';
$sm: 'only screen and (min-width: 576px)';
$xs: 'only screen and (max-width: 576px)';
